Subject: hi
From: "Bryan Ribbans" <[email-masked]>
To: "Steve Bamford" <[email-masked]>
Date: Mon, 23 Oct 2000 18:12:11 +0100

Hi Steve, Further to your request for info on the UK Nats I have 'just surfaced' after a hectic two days and read your plea for details and I am repling this way as it might be too long for the discusion board - so here goes;

Well, it has to be the largest model show I personally have ever seen, either in the flesh, or reported in a magazine. It occupied one very large 'hanger' sized room and another which was even larger; it was huge! It appeared that it was well attended and filled up nicely towards the middle of the afternoon, but it was not cramped. I have to say that the competition tables looked a little thin on models but what was there was superb. I found that the public who were going to look at these models, and this was the most cramped area of the whole show surprizingly, pushed their way in and generally behaved like complete morons, leaning over a spectacular model in-front to look closely at the one behind. I very politely told one middle-aged gent to be careful as I was getting very concerned for a particular models safety, so I touched his arm gently and advised him that a model was underneath his jacket. Well, he spun round, all indignent, and said, I'm six inches away from it and I know what I am doing! I said that as far as I was concerned he should be six feet away. And with that he carried on. I thought there and then that if I ever contemplated putting in a model that conversation stopped it stone dead. What a complete arsehole! So, the one reason for this show every year is the competition and it looked like an afterthought.

I have taken some pics of the models there and others that caught my eye as I walked round and will e-mail them this week when I get back to work and download them - got some cracking stuff. 

The meeting in the bar at 12 never happened! Well, I was there but of course dont know anyone else and as it was packed with people and absolutely FULL of smoke I didnt hang around. That was another thing that spoilt the day- all the smoking drifted into the hall as the day wore on and I got sore eyes, especially if you went to the front toilets or got a drink. It was a fug from about 11 am onwards.

Met Charlie  Hugo from SA and he says Hi! Met Don Junis from Chicago and his lovely wife and that was a real pleasure as we had 'met' through ARC. Spent a good 30 mins with him pouring over a 1/48 Sunderland flying boat, injection moulded, out in the Spring.

Whilst on the 'gripes' the lighting in both the halls was very poor, dull and orange in tone, which made it very difficult to see some of the stands well. You couldnt really read stuff too well in some areas of the stands. The digicamera worked well though and 'sucked in' all the available light and if the pics are half as good as the tv screen suggests then I will be well pleased.

No great big releases for the show, saw the Ju52 floats conversion kit by MDC and they are superb. Accurate miniatures were there but their stand was empty save for a small pile of B-25's going cheap, about four or so, and they were still there at the end of the day. A few boxes of Avenger wingfolds were there, and that was it. It looked embarrasing with these two guys sitting behind the table, bare one at that, and nothing else. Other tables around them were packed and that made it stand out even more.

Trade seemed to be very brisk and continuous throughout the day at certain stands, Paragon resin conversions being one and Hannants being another. 

The club stands were well supported and a bunch of guys from Israel came over for the first time and they were joined by Isradecals and a very polished performance they put up. The stand was well laid out with proffesional signs and pictures that looked very good.

There were a few good bargains to be had but on the whole I thought prices in general were holding close to the published prices. Airfix showed the latest incarnation of the 1/24 Harrier, the GR4 with the long snoot, but the mockups of the Sea Harrier FRS1 and the bulbous nosed latest version of the SH lookes superb with a 2001 and 2002 release date on them. They really looked the part in this scale. 

Well, thats about it. I'll send the pics as soon as I can and deal with anything else that springs to mind then.

On the whole worth the trip and the entrance price of £7.00. BUT, the organisers MUST do something to protect those models more. Be interesting to have a chat with them and see if they had any problems. Watch this space.

Best Regards, Bryan